% PStill Annotation insert example
% Frank Siegert August 2003
% Insert a few outlines

define ps_do_showpage(pagenum) {

	if (pagenum == 1) {
		startGFX();

		% show outlines in Acrobat Reader:

		execPSCode ("[ /PageMode /UseOutlines /DOCVIEW pdfmark\n");
		
		% one outline with 5 (collapsed, use non-negative for expanded) subpoints 
		% (needs to be supplied in order after this line)
		% target is Page 1, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Count -5 /Page 1 /View [/XYZ 44 730 1.0] /Title (2.0 Installation) /OUT pdfmark\n");
		execPSCode ("[/Page 1 /View [/XYZ 44 730 1.0] /Title (2.1 Installation and use of PStill for Windows) /OUT pdfmark\n");
		execPSCode ("[/Page 2 /View [/XYZ 44 730 1.0] /Title (2.2 Using PStill the first time) /OUT pdfmark\n");
		execPSCode ("[/Page 3 /View [/XYZ 44 830 1.0] /Title (2.3 Licensing PStill) /OUT pdfmark\n");
		execPSCode ("[/Page 3 /View [/XYZ 44 730 1.0] /Title (2.4 Sample Session) /OUT pdfmark\n");
		execPSCode ("[/Page 4 /View [/XYZ 44 730 1.0] /Title (2.5 Conversion Options) /OUT pdfmark\n");

		% one outline with 2 subpoints (needs to be supplied in order after this line)
		% target is Page 15, view point is 44 730, zoom is 1.0, title as given
				
		execPSCode ("[/Count -2 /Page 15 /View [/XYZ 44 730 1.0] /Title (3.0 Special conversions and printer setup) /OUT pdfmark\n");
		execPSCode ("[/Page 15 /View [/XYZ 44 730 1.0] /Title (3.1 Installation of fonts) /OUT pdfmark\n");
		execPSCode ("[/Page 16 /View [/XYZ 44 730 1.0] /Title (3.2 How to create suitable input files for PStill) /OUT pdfmark\n");

		% one outline with 6 subpoints (needs to be supplied in order after this line)
		% target is Page 18, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Count -6 /Page 18 /View [/XYZ 44 730 1.0] /Title (4.0 Command line usage) /OUT pdfmark\n");
		execPSCode ("[/Page 18 /View [/XYZ 44 730 1.0] /Title (4.1 Example conversion using the command line) /OUT pdfmark\n");
		execPSCode ("[/Page 19 /View [/XYZ 44 730 1.0] /Title (4.2 Output name specification using macros) /OUT pdfmark\n");
		execPSCode ("[/Page 19 /View [/XYZ 44 730 1.0] /Title (4.3 Allow input from the Standard In channel) /OUT pdfmark\n");
		execPSCode ("[/Page 20 /View [/XYZ 44 730 1.0] /Title (4.4 Conbine several files in one result) /OUT pdfmark\n");
		execPSCode ("[/Page 20 /View [/XYZ 44 730 1.0] /Title (4.5 Convert several files) /OUT pdfmark\n");
		execPSCode ("[/Page 21 /View [/XYZ 44 730 1.0] /Title (4.6 Flattening mode - 'To PS/EPS' processing) /OUT pdfmark\n");
		
		% one outline with 3 subpoints (needs to be supplied in order after this line)
		% target is Page 22, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Count -3 /Page 22 /View [/XYZ 44 730 1.0] /Title (5.0 Helper files and user configurable elements) /OUT pdfmark\n");
		execPSCode ("[/Page 22 /View [/XYZ 44 730 1.0] /Title (5.1 Font substitution - Configuration file 'fontsub.table') /OUT pdfmark\n");
		execPSCode ("[/Page 23 /View [/XYZ 44 730 1.0] /Title (5.2 Annotation processing - Configuration file 'annots.sl') /OUT pdfmark\n");
		execPSCode ("[/Page 24 /View [/XYZ 44 730 1.0] /Title (5.3 Optional installation of additonal helper programs) /OUT pdfmark\n");


		% one outline with no subpoints (needs to be supplied in order after this line)
		% target is Page 25, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Page 25 /View [/XYZ 44 730 1.0] /Title (Appendix - Direct to PStill and Network printing setup) /OUT pdfmark\n");

		% one outline with no subpoints (needs to be supplied in order after this line)
		% target is Page 28, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Page 28 /View [/XYZ 44 730 1.0] /Title (Appendix - Technical information and internals) /OUT pdfmark\n");

		% one outline with no subpoints (needs to be supplied in order after this line)
		% target is Page 31, view point is 44 730, zoom is 1.0, title as given
		
		execPSCode ("[/Page 31 /View [/XYZ 44 730 1.0] /Title (Appendix - License) /OUT pdfmark\n");
		
		% add a URL link to page 1, active area is given by the rectangle coordinates
		
		execPSCode ("[ /Page 1 /Rect [ 145 210 332 228 ] /Color [1 0 0]\n");
		execPSCode (" /Action << /S /URI /URI (http://www.stone.com) >>\n");
		execPSCode (" /Subtype /Link /ANN pdfmark\n");


		% and so on...
		
		endGFX();
	}
}
